Detalhes de um ativo
curl --request GET \
--url https://api.liquiditi.com.br/v1/assets/{cetip_code} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.liquiditi.com.br/v1/assets/{cetip_code}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.liquiditi.com.br/v1/assets/{cetip_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liquiditi.com.br/v1/assets/{cetip_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.liquiditi.com.br/v1/assets/{cetip_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.liquiditi.com.br/v1/assets/{cetip_code}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liquiditi.com.br/v1/assets/{cetip_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cetip_code": "<string>",
"asset_type": "CDB",
"asset_indexer": "CDI",
"maturity_date": "2023-12-25",
"grace_date": "2023-12-25",
"interest_redemption_type": "at_maturity",
"redemption_type": "at_maturity",
"issuer_name": "<string>",
"issuing_date": "2023-12-25"
}
Ativos
Detalhes de um ativo
Retorna um título pelo código CETIP. O identificador público do ativo é cetip_code (alfanumérico, 1 a 64 caracteres). Um UUID ou qualquer valor fora desse padrão retorna 422 e não é encaminhado.
GET
/
assets
/
{cetip_code}
Detalhes de um ativo
curl --request GET \
--url https://api.liquiditi.com.br/v1/assets/{cetip_code} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.liquiditi.com.br/v1/assets/{cetip_code}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.liquiditi.com.br/v1/assets/{cetip_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liquiditi.com.br/v1/assets/{cetip_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.liquiditi.com.br/v1/assets/{cetip_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.liquiditi.com.br/v1/assets/{cetip_code}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liquiditi.com.br/v1/assets/{cetip_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cetip_code": "<string>",
"asset_type": "CDB",
"asset_indexer": "CDI",
"maturity_date": "2023-12-25",
"grace_date": "2023-12-25",
"interest_redemption_type": "at_maturity",
"redemption_type": "at_maturity",
"issuer_name": "<string>",
"issuing_date": "2023-12-25"
}
Retorna um recurso no esquema Asset pelo
cetip_code. Descrição de campos, enums e rentabilidade: Ativo. Convenções de tipos e datas: Definições.Path Parameters
Response
Detalhes do ativo retornados com sucesso